Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.tree2
Class TreeTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.custom.tree2.TreeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class TreeTag
extends UIComponentTagBase

Version:
  $Revision: 167790 $ $Date: 2005-04-19 08:12:47 -0400 (Tue, 19 Apr 2005) $
Author:
  Sean Schofield

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TreeTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setClientSideToggle(java.lang.String clientSideToggle)`
`void` | `setPreserveToggle(java.lang.String preserveToggle)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowLines(java.lang.String showLines)`
`void` | `setShowNav(java.lang.String showNav)`
`void` | `setShowRootNode(java.lang.String showRootNode)`
`void` | `setValue(java.lang.String value)`
`void` | `setVar(java.lang.String var)`
`void` | `setVarNodeToggler(java.lang.String varNodeToggler)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTag

    public TreeTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### setValue

    public void setValue(java.lang.String value)

  Overrides:
    `setValue` in class `UIComponentTagBase`

### setVar

    public void setVar(java.lang.String var)

  Parameters:
    `var` - The var to set.

### setVarNodeToggler

    public void setVarNodeToggler(java.lang.String varNodeToggler)

### setShowLines

    public void setShowLines(java.lang.String showLines)

### setShowNav

    public void setShowNav(java.lang.String showNav)

### setClientSideToggle

    public void setClientSideToggle(java.lang.String clientSideToggle)

### setShowRootNode

    public void setShowRootNode(java.lang.String showRootNode)

### setPreserveToggle

    public void setPreserveToggle(java.lang.String preserveToggle)

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD